Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class BaseWebAuthnAuthenticationContextConsumer

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.BaseWebAuthnAuthenticationContextConsumer

All Implemented Interfaces:
  `Consumer<ProfileRequestContext>`

Direct Known Subclasses:
  `SetPaswordlessUsageToContextConsumer`, `SetSecondFactorUsageToContextConsumer`, `SetUsernamelessUsageToContextConsumer`

public abstract class BaseWebAuthnAuthenticationContextConsumer extends Object implements Consumer<ProfileRequestContext>
A base class that pulls out the `WebAuthnAuthenticationContext` for consumers to use.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
`webauthnAuthContextCreationStrategy`
Strategy used to locate the `WebAuthnAuthenticationContext` to populate.

## Constructor Summary

Constructors
Constructor
Description
`BaseWebAuthnAuthenticationContextConsumer()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext input)`
`protected abstract void`
`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Field Details

### webauthnAuthContextCreationStrategy

@Nonnull private final Function<ProfileRequestContext,WebAuthnAuthenticationContext> webauthnAuthContextCreationStrategy
Strategy used to locate the `WebAuthnAuthenticationContext` to populate.

## Constructor Details

### BaseWebAuthnAuthenticationContextConsumer

BaseWebAuthnAuthenticationContextConsumer()
Constructor.

## Method Details

### accept

public void accept(@Nullable ProfileRequestContext input)

Specified by:
  `accept` in interface `Consumer<ProfileRequestContext>`

### doAccept

protected abstract void doAccept(@Nonnull WebAuthnAuthenticationContext webAuthnContext)
Consume the WebAuthn authentication context. Implementations must override this method.

Parameters:
  `webAuthnContext` - the WebAuthn authentication context